ISDUID(3)

NAME
isduid - disklabel UID test

SYNOPSIS
#include <util.h>
int
isduid(char *duid, int dflags);

DESCRIPTION
The isduid() function tests the string duid to see if it is a valid disklabel(8) UID. The dflags are specified using the same flags as used by opendev(3).

If the OPENDEV_PART flag is included in dflags, the disklabel UID must consist of a 16-character hexadecimal string. Otherwise the disklabel UID must consist of a 16-character hexadecimal string followed by a ‘’. and a partition letter.

RETURN VALUES
The isduid() function returns non-zero if duid is a valid DUID, otherwise zero is returned.

SEE ALSO
opendev(3), disklabel(5), disklabel(8)

HISTORY
The isduid() function first appeared in OpenBSD 4.9.